Make upload.wikimedia.org serve images with Timing-Allow-Origin header
Closed, ResolvedPublic

Description

Currently both MultimediaViewer and ImageMetrics read Resource Timing information. Images are CORS requests on our cluster, which means that only "duration" is exposed for them. It turns out that this isn't the best metric to measure network performance, as it may include blocking time: http://www.stevesouders.com/blog/2014/11/25/serious-confusion-with-resource-timing/ and we need to gather all the information for CORS requests too.

Gilles created this task.Nov 26 2014, 4:04 PM
Gilles updated the task description. (Show Details)
Gilles raised the priority of this task from to High.
Gilles changed Security from none to None.
Gilles added a project: Multimedia.
Gilles added subscribers: Gilles, Tgr.
Tgr lowered the priority of this task from High to Normal.

Lowering priority as we do not plan to work on this anytime soon.

If contributors wanted to work on this (as this task is marked as "easy"), would they find their way with the information given above?
Wondering if this could be a GCI task and if someone was willing to (co-)mentor this.

Tgr added a comment.Dec 17 2014, 7:19 PM

I'm still hoping to find an empty weekend to turn all easy MM bugs into GCI tasks. That would require a pointer to the right place in puppet.

Thank you that this is now a GCI task!

Change 181405 had a related patch set uploaded (by Unicodesnowman):
Make upload.wikimedia.org set Timing-Allow-Origin

https://gerrit.wikimedia.org/r/181405

Patch-For-Review

Change 181405 merged by Giuseppe Lavagetto:
Make upload.wikimedia.org set Timing-Allow-Origin

https://gerrit.wikimedia.org/r/181405

Joe closed this task as Resolved.Jan 7 2015, 3:32 PM